## kadmin-remctl 3.6

=== debian/changelog ===
kadmin-remctl (3.6-1~sbp70+1) stable; urgency=low

  * Backport to stable.

 -- Russ Allbery <rra@debian.org>  Wed, 15 Jan 2014 15:11:33 -0800

kadmin-remctl (3.6-1) unstable; urgency=low

  * New upstream release.
    - Add per-instance configuration to set password expiration on initial
      account creation.
    - Map password quality errors on create and reset_passwd to a generic
      error message.
  * Add necessary keyring and watch configuration for uscan to verify
    PGP signatures on new upstream releases.
  * Prefer xz compression in the watch configuration.
  * Remove now-unnecessary dh_builddeb override to force xz compression.
  * Update standards version to 3.9.5 (no changes required).

 -- Russ Allbery <rra@debian.org>  Wed, 15 Jan 2014 14:56:11 -0800

kadmin-remctl (3.5-1) unstable; urgency=low

  * New upstream release.
    - Increase the timeouts for kpasswd interaction.
    - Fix Perl warnings if kpasswd times out.
    - Use get instead of list with Heimdal to check principal existence.
    - Recognize the new Heimdal kpasswd prompts.
    - Stop mapping password quality errors in the Heimdal backend.
    - Check the existence of the principal before enabling or disabling it
      in the Heimdal backend in order to report more sensible errors.

 -- Russ Allbery <rra@debian.org>  Thu, 10 Oct 2013 19:09:18 -0700

kadmin-remctl (3.4-1) unstable; urgency=low

  * New upstream release.
    - Set the disallow-svr flag on all newly-created principals.
    - Change the default principal regex to allow two-character principal
      names.
  * Drop --as-needed for now for easier backporting to squeeze.

 -- Russ Allbery <rra@debian.org>  Tue, 09 Jul 2013 16:55:27 -0700

kadmin-remctl (3.3-1) unstable; urgency=low

  * New upstream release.
    - In the Heimdal version, retry the kadmin connection once if it fails
      and suppress standard error from the Heimdal libraries during the
      connection attempt.
    - Clean up error reporting in the Heimdal version of kadmin-backend.
    - Exit with a non-zero status if check_passwd rejects a password.
    - Produce a better error when attempting to change the password of a
      disabled account in the Heimdal kadmin-backend.
    - Strip whitespace from usernames in passwd_change.
  * Use full path to Stanford's password file in password-change.
  * Switch to xz compression for the upstream and Debian tarballs.
  * Move single-debian-patch to local-options and patch-header to
    local-patch-header so that they only apply to the packages I build and
    NMUs get regular version-numbered patches.
  * Use dh-autoreconf to rebuild the Autotools build system, and link with
    --as-needed to remove the additional unnecessary library dependencies
    for the client.
  * Update to debhelper compatibility level V9.
    - Enable parallel builds.
    - Enable build hardening flags.
    - Use DEB_CFLAGS_MAINT_APPEND to add the Stanford-specific settings
      for the password file path and remctl host for password changes.
  * Update to standards version 3.9.4.
    - Add branch information to the Vcs-Git header.
  * Convert debian/copyright to copyright-format 1.0.

 -- Russ Allbery <rra@debian.org>  Mon, 25 Mar 2013 11:06:03 -0700

kadmin-remctl (3.2-1) unstable; urgency=low

  * New upstream release.
    - Add support for a separate blacklist of accounts whose passwords
      cannot be reset with reset_passwd.
    - Properly handle incorrect password errors from Heimdal kpasswd.
    - Yet more fixes to the Heimdal default attribute configuration.
  * Update to debhelper compatibility level V8.
  * Update to standards version 3.9.2 (no changes required).

 -- Russ Allbery <rra@debian.org>  Thu, 09 Jun 2011 15:05:21 -0700

kadmin-remctl (3.1-1) unstable; urgency=low

  * New upstream release.
    - Fix default principal attributes during creation with Heimdal.
    - Don't unconditionally set preauth during creation with Heimdal.
    - Remove boolean checking parameter for MIT.  Instead, add a new
      configuration parameter that sets the password policy to use for
      newly created accounts.
    - Add expiration and pwexpiration commands to set the expiration and
      password expiration of accounts.
    - Add check_expire command which returns the expiration date of an
      account or its password.
    - The MIT backend now supports a create_opts configuration parameter
      that defines additional options to pass to kadmin addprinc.
    - Allow underscores in principal names in examine.
  * Switch to 3.0 (quilt) source format.  Force a single Debian patch and
    include a custom patch header explaining that it is a rollup of any
    fixes cherry-picked from upstream and breaking those patches out
    separately would be work for no gain.
  * Set a Bugs header directing bug reports to me personally.
  * Update standards version to 3.9.0 (no changes required).

 -- Russ Allbery <rra@debian.org>  Wed, 21 Jul 2010 14:55:59 -0700

kadmin-remctl (3.0-1) unstable; urgency=low

  * New upstream release.
    - Add a version of kadmin-backend for Heimdal.
    - Allow - in principal names in the examine function.
    - Add a configuration option to check via an external program whether
      a principal is locked and disallow enables if it is.
    - Significantly improve error reporting in ksetpass and
      passwd_change.
  * Package the Heimdal version of kadmin-backend as a separate
    kadmin-remctl-heimdal package.
  * Remove comerr-dev build dependency, no longer required with the better
    error handling in ksetpass and passwd_change.
  * Add Homepage, Vcs-Git, and Vcs-Browser control fields.
  * Update standards version to 3.8.4 (no changes required).

 -- Russ Allbery <rra@debian.org>  Wed, 17 Feb 2010 12:49:14 -0800

kadmin-remctl (2.4-1) unstable; urgency=low

  * New upstream release.
    - Fix LDIF syntax when activing or deactivating AD accounts.
  * Update to debhelper compatibility level V7.

