=== debian/control ===
Source: kadmin-remctl
Section: net
Priority: extra
Maintainer: Russ Allbery <rra@debian.org>
Bugs: mailto:rra@debian.org
Build-Depends: debhelper (>= 9), dh-autoreconf, libkrb5-dev, libremctl-dev
Standards-Version: 3.9.5
Homepage: http://www.eyrie.org/~eagle/software/kadmin-remctl/
Vcs-Git: git://git.eyrie.org/kerberos/kadmin-remctl.git -b debian
Vcs-Browser: http://git.eyrie.org/?p=kerberos/kadmin-remctl.git

Package: kadmin-remctl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, krb5-user,
 libexpect-perl
Recommends: kasetkey (>= 0.9), kstart, ldap-utils, libtext-template-perl,
 remctl-server
Conflicts: kadmin-remctl-heimdal
Description: remctl backend providing kadmin functions (MIT)
 This package provides a remctl backend and configuration for doing kadmin
 functions against an MIT Kerberos KDC via remctl.  It also includes the
 ksetpass client, which changes passwords using the Kerberos password
 change protocol and doesn't require the current password (with
 appropriate server ACLs).

Package: kadmin-remctl-heimdal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 heimdal-clients | krb5-user, libexpect-perl, libheimdal-kadm5-perl,
 libipc-run-perl
Recommends: kasetkey (>= 0.9), kstart, ldap-utils, libtext-template-perl,
 remctl-server
Conflicts: kadmin-remctl
Description: remctl backend providing kadmin functions (Heimdal)
 This package provides a remctl backend and configuration for doing kadmin
 functions against a Heimdal KDC via remctl.  It also includes the
 ksetpass client, which changes passwords using the Kerberos password
 change protocol and doesn't require the current password (with
 appropriate server ACLs).

Package: password-change
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Client for Help Desk password changes
 Provides a command-line client for changing a user's password with
 prompts an authorized user to authenticate, verifies the user's identity
 in the Stanford user database, and then changes the user's password.
 .
 This package is Stanford-specific in its defaults.
