=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    http://archives.eyrie.org/software/kerberos/kadmin-remctl-(.*)\.tar\.xz
